### A free/open-source library for quantitative finance

Public Member Functions
DayCounter::Impl Class Reference

abstract base class for day counter implementations More...

`#include <ql/time/daycounter.hpp>`

Inherited by Actual360::Impl, Actual365Fixed::Impl, ActualActual::AFB_Impl, ActualActual::ISDA_Impl, ActualActual::ISMA_Impl, Business252::Impl, OneDayCounter::Impl, SimpleDayCounter::Impl, Thirty360::EU_Impl, Thirty360::IT_Impl, and Thirty360::US_Impl.

List of all members.

## Public Member Functions

virtual std::string | name () const =0
virtual BigInteger | dayCount (const Date &d1, const Date &d2) const
| to be overloaded by more complex day counters
virtual Time | yearFraction (const Date &d1, const Date &d2, const Date &refPeriodStart, const Date &refPeriodEnd) const =0

## Detailed Description

abstract base class for day counter implementations